このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

zlib-1.2.6 と GNOME このメッセージに返信する
日時: 2012/03/15 22:44
名前: どもたん
URL:
zlib 1.2.6 をインストールすると、XWindowの立ち上がりで、noutilusがクラッシュします。
zlib 1.2.6とXWindow(GNOME)を共存できた方、いらっしゃいますか?
OSは、Centos5.8です。
記事編集 編集
Re: zlib-1.2.6 と GNOME このメッセージに返信する
日時: 2012/03/18 12:38
名前: stranger
URL: http://ja.528p.com/
レスがつきませんが
どのようにインストールされたのでしょう

rpm -e --test zlib を実行してみると
libz.so.1が多くのパッケージで利用されていることがわかります
libz.so.1はlibz.so.1.2.3のシンボリックリンクになっています

ldd /usr/bin/nautilus を実行してみる
libz.so.1を動的ライブラリとして組み込んでいることがわかります

zlib 1.2.6 をインストールすると
libz.so.1.2.6がつくられると思いますが
libz.so.1.2.6をlibz.so.1にリンクしていませんか
それが問題なのか
libz.so.1が存在しなくなったのか

libz.so.1.2.6が既存のrpmパッケージに影響を与えないように考慮すべきだと思います


記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -